FARADAY-CLIENT(1)

NAME
Faraday-Client - Faraday's launcher parser

SYNOPSIS
faraday-client [-h] [-n HOST] [-px PORT_XMLRPC] [-pr PORT_REST] [--disable-excepthook] [--login] [--dev-mode] [--cert CERT_PATH] [--gui GUI] [--cli] [-w WORKSPACE] [-r FILENAME] [-d] [--creds-file CREDS_FILE] [--keep-old] [--keep-new] [-v]

DESCRIPTION

Faraday's launcher parser.

OPTIONS

-h, --help
    show this help message and exit

--disable-excepthook
    Disable the application exception hook that allows to send error reports to developers.

--login
    Enable prompt for authentication Database credentials

--dev-mode
    Enable dev mode. This will use the user config and plugin folder.

--cert CERT_PATH
    Path to the valid Faraday server certificate

--gui GUI
    Select interface to start Faraday. Supported values are 'gtk' and 'no' (no GUI at all). Defaults to GTK

--cli
    Set this flag to avoid GUI and use Faraday as a CLI.

-w WORKSPACE, --workspace WORKSPACE
    Workspace to be opened

-r FILENAME, --report FILENAME
    Report to be parsed by the CLI

-d, --debug
    Enables debug mode. Default = disabled

--creds-file CREDS_FILE
    File containing user's credentials to be used in CLI mode

--keep-old
    Keep old object in CLI mode if Faraday find a conflict

--keep-new
    Keep new object in CLI mode if Faraday find a conflict (DEFAULT ACTION)

-v, --version
    show program's version number and exit

  connection:

-n HOST, --hostname HOST
    The hostname where both server APIs will listen (XMLRPC and RESTful). Default = localhost

-px PORT_XMLRPC, --port-xmlrpc PORT_XMLRPC
    Sets the port where the API XMLRPC Server will listen. Default = 9876

-pr PORT_REST, --port-rest PORT_REST
    Sets the port where the API RESTful Server will listen. Default = 9977

SEE ALSO
/usr/share/doc/python-faraday/README.Debian